| 0.9.6

- Main Page
- Modules
- Files

Functions
GLM_GTX_fast_exponential
GTX Extensions (Experimental)

## Functions
template<typename T >
GLM_FUNC_DECL T | fastExp (T x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastExp (vecType< T, P > const &x)
template<typename T >
GLM_FUNC_DECL T | fastExp2 (T x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastExp2 (vecType< T, P > const &x)
template<typename T >
GLM_FUNC_DECL T | fastLog (T x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastLog (vecType< T, P > const &x)
template<typename T >
GLM_FUNC_DECL T | fastLog2 (T x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastLog2 (vecType< T, P > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastPow (genType x, genType y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastPow (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename genTypeT , typename genTypeU >
GLM_FUNC_DECL genTypeT | fastPow (genTypeT x, genTypeU y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastPow (vecType< T, P > const &x)

## Detailed Description

Fast but less accurate implementations of exponential based functions.

<glm/gtx/fast_exponential.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL T glm::fastExp | ( | T | x | ) |

Faster than the common exp function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastExp | ( | vecType< T, P > const & | x | ) |

Faster than the common exp function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL T glm::fastExp2 | ( | T | x | ) |

Faster than the common exp2 function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastExp2 | ( | vecType< T, P > const & | x | ) |

Faster than the common exp2 function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL T glm::fastLog | ( | T | x | ) |

Faster than the common log function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastLog | ( | vecType< T, P > const & | x | ) |

Faster than the common exp2 function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL T glm::fastLog2 | ( | T | x | ) |

Faster than the common log2 function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastLog2 | ( | vecType< T, P > const & | x | ) |

Faster than the common log2 function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL genType glm::fastPow | ( | genType | x,
|  | genType | y
| ) |  |

Faster than the common pow function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastPow | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Faster than the common pow function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL genTypeT glm::fastPow | ( | genTypeT | x,
|  | genTypeU | y
| ) |  |

Faster than the common pow function but less accurate.

See also
  GLM_GTX_fast_exponential

GLM_FUNC_DECL vecType<T, P> glm::fastPow | ( | vecType< T, P > const & | x | ) |

Faster than the common pow function but less accurate.

See also
  GLM_GTX_fast_exponential